<?php
/*
$Id: debug.php 579 2014-05-17 21:23:44Z bhockney $
(C) 2003-2014 by Bob Hockney <zeus@ix.netcom.com>

debugging stuff

This code is distributed under the terms of GNU GPL
*/
?>

<!--
<?php
print "PHP version:\t\t" . phpversion() . "\n";
if (isset($self))
	print "PHP_SELF:\t\t$self\n";
if (isset($dbver["version"]))
	print "Database version:\t" . "{$dbver["version"]}\n";
?>
-->
<!--
<?php
echo "\t\$config\n";
foreach ($config as $a => $b) {
	echo "$a\t\t$b\n";
}
?>
-->
<!--
<?php
echo "\t\$_SERVER\n\n";
foreach ($_SERVER as $a => $b) {
	echo "$a\t\t$b\n";
}
?>
-->
<!--
<?php
echo "\t\$_SESSION\n\n";
foreach ($_SESSION as $a => $b) {
	if (is_array($b)) {
		echo "$a\n";
		foreach ($b as $j => $k) {
			if (is_array($k)) {
				echo "\t$j\n";
				foreach ($k as $l => $m) {
					echo "\t\t$l\t\t$m\n";
				}
			} else
				echo "\t$j\t\t".str_replace("-->", "--&gt;", "$k")."\n";
		}
	} else
		echo "$a\t\t$b\n";
}
print "SID = " . SID . "\n";
?>
-->
<!--
<?php
echo "\t\$_COOKIE\n\n";
foreach ($_COOKIE as $a => $b) {
	echo "$a\t\t$b\n";
}
?>
-->
<!--
<?php
echo "\t\$_POST\n\n";
foreach ($_POST as $a => $b) {
	if (is_array($b)) {
		print "$a\n";
		foreach ($b as $k => $v) {
			print "\t$k\t\t$v\n";
		}
	} else 
		echo "$a\t\t".str_replace("-->", "--&gt;", "$b")."\n";
}
?>
-->
<!--
<?php
echo "\t\$_GET\n\n";
foreach ($_GET as $a => $b) {
	echo "$a\t\t".str_replace("-->", "--&gt;", "$b")."\n";
}
?>
-->
<!--
<?php
echo "\t\$state_get\n";
if (isset($state_get)) 
foreach($state_get as $lev => $params) {
	echo "\n\tLevel $lev\n";
	foreach ($params as $a => $b) {
		echo "$a\t\t".str_replace("-->", "--&gt;", "$b")."\n";
	}
}
?>
-->
<!--
<?php
echo "\t\$data_t\n\n";
if (is_array($data_t))
foreach ($data_t as $b) {
	echo "\t$b\n";
}
?>
-->
<!--
<?php
echo "\t\$FWLOG\n\n";
if (isset($FWLOG))
foreach ($FWLOG as $a => $b) {
	if (is_array($b)) {
		echo "$a\n";
		foreach ($b as $k => $v) {
			print "\t$k\t\t$v\n";
		}
	} else
		echo "$a\t\t".str_replace("-->", "--&gt;", "$b")."\n";
}
?>
-->
<!-- vim:set ts=4: -->
